%define pkg_name ghc-paths
%define ghc_version 6.10.1

%define pkg_libdir %{_libdir}/ghc-%{ghc_version}/%{pkg_name}-%{version}
%define pkg_docdir %{_docdir}/ghc/libraries/%{pkg_name}-%{version}

# Haskell compilers do not emit debug information
%define debug_package %{nil}

Name:		%{pkg_name}
Version:	0.1.0.5
Release:	2%{?dist}
Summary:	Interface to GHC's installation directories

Group:		Development/Libraries
License:	BSD
URL:		http://hackage.haskell.org/cgi-bin/hackage-scripts/package/%{pkg_name}
Source0:	http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides:       %{name}-devel = %{version}-%{release}
# ghc has only been bootstrapped on the following archs:
ExclusiveArch:  i386 x86_64 ppc
BuildRequires:	ghc = %{ghc_version}, ghc-prof = %{ghc_version}
Requires:	ghc = %{ghc_version}
Requires(post): ghc = %{ghc_version}
Requires(preun): ghc = %{ghc_version}
Requires(postun): ghc = %{ghc_version}

%description
This library provides an interface to reading the install directories
of the ghc compiler.


%package prof
Summary: Profiling libraries for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: ghc-prof = %{ghc_version}

%description prof
This package contains profiling libraries for %{name}.


%prep
%setup -q


%build
%cabal_configure --ghc -p
%cabal build
%cabal haddock
%ghc_gen_scripts


%install
rm -rf $RPM_BUILD_ROOT
%cabal_install
%ghc_install_scripts
%ghc_gen_filelists %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post 
%ghc_register_pkg
%ghc_reindex_haddock


%preun 
if [ "$1" -eq 0 ] ; then
  %ghc_unregister_pkg
fi


%postun
if [ "$1" -eq 0 ] ; then
  %ghc_reindex_haddock
fi


%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE
%{pkg_docdir}


%files prof -f %{name}-prof.files
%defattr(-,root,root,-)


%changelog
* Tue Dec 23 2008 Jens Petersen <petersen@redhat.com> - 0.1.0.5-2
- improve summary and description (#476483)

* Mon Dec 15 2008 Jens Petersen <petersen@redhat.com> - 0.1.0.5-1
- initial packaging for Fedora
